require "active_model"
require "bigdecimal"
require "br_documents"
require "builder"
require "date"
require "enumerize"
require "nokogiri"
require "savon"
require "xmldsig/xmldsig"
require "nfe/helpers/xml_model/attribute_base"
require "nfe/webservices/wsinfo/base"
require "nfe/operations/base"
require "nfe/operations/event"
require "nfe/models/concerns/cnpj_cpf_validatable"
require "nfe/models/concerns/ufable"

Dir[File.dirname(__FILE__) + "/nfe/helpers/**/*.rb"].each { |f| require f }
Dir[File.dirname(__FILE__) + "/nfe/**/*.rb"].each { |f| require f }

I18n.load_path += Dir[File.expand_path("../../config/locales/**/*.yml", __FILE__)]
