module Nfe
  module Helpers
    module XmlModel
      class AttributeCollection < AttributeBase
        private
        def add_tag(xml, attribute)
          attribute.each do |item|
            xml.tag!(xml_alias) { |node| node << item.to_xml }
          end
        end

        def xml_value(doc)
          value = doc.css(xml_alias)
        end

        def get_value(value)
          read_collection(value)
        end

        def read_collection(value)
          values = []
          value.each do |node|
            item = new_item
            item.parse! node.to_xml
            values << item
          end

          values
        end

        def new_item
          klass.split('::').inject(Object) {|o,c| o.const_get c}.new
        end
      end
    end
  end
end
