module Nfe
  module Helpers
    module XmlModel
      class AttributeFloat < AttributeBase
        def format
          @format || "%0.2f"
        end

        private
        def get_value(value)
          value.text.to_f
        end

        def add_element(attribute)
          format % attribute
        end
      end
    end
  end
end
