module Nfe
  module Helpers
    module XmlModel
      class AttributeNode < AttributeBase
        def parse(context, doc)
          value = xml_value(doc)
          context.send(name).parse! value.to_xml if value.present?
        end

        private
        def add_element(attribute)
          attribute.to_xml
        end
      end
    end
  end
end
