module Nfe
  module Helpers
    module XmlModel
      class Factory
        def self.create(name, options={})
          type = options[:type] || :text

          if type == :attribute
            AttributeNodeattribute.new(name, options)
          else
            XmlModel::const_get("Attribute#{type.capitalize}").new(name, options)
          end
        end
      end
    end
  end
end
