module Nfe
  module Models
    module Concerns
      module Ufable
        extend ActiveSupport::Concern
        include ActiveModel::Model

        included do
          def uf=(uf)
            @cUF = Nfe::Helpers::UfHelper.code(uf)
          end

          def uf
            Nfe::Helpers::UfHelper.acronym(cUF) if @cUF.present?
          end
        end
      end
    end
  end
end
