module Nfe
  module Models
    class Exporta
      include ActiveModel::Model
      include Helpers::XmlModel::NfeModel

      attr_xml :ufEmbarq, required: true, xml_alias: "UFEmbarq"
      attr_xml :xLocEmbarq, required: true

      validates :ufEmbarq,
        presence: true,
        length: { is: 2 }

      validates :xLocEmbarq,
        presence: true,
        length: { in: 1..60 }
    end
  end
end
