module Nfe
  module Models
    class ProcInutNFe
      include ActiveModel::Model
      include Helpers::XmlModel::NfeModel

      attr_reader :inutNFe, :retInutNFe

      def initialize(inutNFe, retInutNFe)
        @inutNFe = inutNFe
        @retInutNFe = retInutNFe
      end

      def to_xml
        xml = Builder::XmlMarkup.new

        xml.ProcInutNFe(xmlns: Models::NFe.namespace, versao: inutNFe.versao) do |node|

          node << inutNFe.to_xml

          node << retInutNFe.to_xml
        end

        xml.target!
      end
    end
  end
end
