module Nfe
  module Models
    module Taxes
      class IPINT
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :cst, required: :true, xml_alias: "CST"

        validates :cst,
          presence: true,
          inclusion: { in: ["01", "02", "03", "04", "05", "51", "52", "53",
            "54", "55"] }
      end
    end
  end
end
