module Nfe
  module Services
    module Regress
      class InfCad
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :ie, required: true, xml_alias: "IE"
        attr_xml :cnpj, required: true, xml_alias: "CNPJ"
        attr_xml :cpf, required: true, xml_alias: "CPF"
        attr_xml :uf, required: true, xml_alias: "UF"
        attr_xml :cSit, required: true
        attr_xml :indCredNFe, required: true
        attr_xml :indCredCTe, required: true
        attr_xml :xNome, required: true
        attr_xml :xFant, required: true
        attr_xml :xRedApur, required: true
        attr_xml :cnae, required: true, xml_alias: "CNAE"
        attr_xml :dIniAtiv, required: true
        attr_xml :dUltSit, required: true
        attr_xml :dBaixa, required: true
        attr_xml :ieUnica, required: true, xml_alias: "IEUnica"
        attr_xml :ieAtual, required: true, xml_alias: "IEAtual"
        attr_xml :xLgr
        attr_xml :nro
        attr_xml :xCpl
        attr_xml :xBairro
        attr_xml :cMun
        attr_xml :xMun
        attr_xml :cep, xml_alias: "CEP"
      end
    end
  end
end
