module Nfe
  module Services
    module Regress
      class RetConsCad
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :versao, type: :attribute
        attr_xml :verAplic, required: true
        attr_xml :cStat, required: true
        attr_xml :xMotivo, required: true
        attr_xml :uf, required: true, xml_alias: "UF"
        attr_xml :ie, required: true, xml_alias: "IE"
        attr_xml :cnpj, xml_alias: "CNPJ"
        attr_xml :cpf, xml_alias: "CPF"
        attr_xml :dhCons, type: :datetime, required: true
        attr_xml :cUF, required: true
        attr_xml :infCad, type: :collection, 
          klass: "Nfe::Services::Regress::InfCad"

        def initialize(xml)
          parse! xml
        end
      end
    end
  end
end
