module Nfe
  module Services
    module Regress
      class RetEnviNFe
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :versao, type: :attribute, required: true
        attr_xml :tpAmb, required: true
        attr_xml :verAplic, required: true
        attr_xml :cStat, type: :integer, required: true
        attr_xml :xMotivo, required: true
        attr_xml :cUF, required: true
        attr_xml :dhRecbto, type: :datetime, required: true
        attr_xml :protNFe, type: :node

        def initialize
          @protNFe = ProtNFe.new
        end
      end
    end
  end
end
