module Nfe
  module Webservices
    module Wsinfo
      class WsdlBase
        def initialize
          @authorize = "NfeAutorizacao"
          @situation = "NfeConsulta2"
          @disenable = "NfeInutilizacao2"
          @event = "RecepcaoEvento"
          @service_status = "NfeStatusServico2"
          @consult_emitter = "CadConsultaCadastro2"
        end

        def authorize
          url @authorize
        end

        def situation
          url @situation
        end

        def disenable
          url @disenable
        end

        def event
          url @event
        end

        def service_status
          url @service_status
        end

        def consult_emitter
          url @consult_emitter
        end

        private
        def url(url)
          url = "#{@host}#{url}?wsdl" unless url.match(/^http/)
          url
        end
      end
    end
  end
end
