module Nfe
  module Helpers
    module XmlModel
      class AttributeDatetime < AttributeBase
        def format
          @format || "%Y-%m-%dT%H:%M:%S%:z"
        end

        private
        def get_value(value)
          DateTime.strptime(value, format)
        end

        def add_element(attribute)
          attribute.strftime(format)
        end
      end
    end
  end
end
