class BigdecimalGreaterThanValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    max = BigDecimal("99999999999.9999999999")

    if value > max
      record.errors.add(attribute,
        I18n.t("errors.messages.less_than_or_equal_to", count: max.to_s("F")))
    end
  end
end

