module Nfe
  module Models
    class Compra
      include ActiveModel::Model
      include Helpers::XmlModel::NfeModel

      attr_xml :xNEmp
      attr_xml :xCont
      attr_xml :xPed

      validates :xNEmp,
        length: { maximum: 22, allow_brank: true }

      validates :xCont,
        length: { maximum: 60, allow_brank: true }

      validates :xPed,
        length: { maximum: 60, allow_brank: true }
    end
  end
end
