module Nfe
  module Models
    module Information
      class ObsContFisco
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :xCampo, type: :attribute
        attr_xml :xTexto, required: true

        validates :xCampo,
          presence: true,
          length: { maximum: 20 }

        validates :xTexto,
          presence: true,
          length: { maximum: 60 }
      end
    end
  end
end
