module Nfe
  module Models
    class ProcEventoNFe
      include ActiveModel::Model
      include Helpers::XmlModel::NfeModel

      attr_reader :evento, :retEvento

      def initialize(evento, retEvento)
        @evento = evento
        @retEvento = retEvento
      end

      def to_xml
        xml = Builder::XmlMarkup.new

        xml.procEventoNFe(xmlns: Models::NFe.namespace, versao: evento.versao) do |node|

          node << @evento.to_xml

          node << @retEvento.to_xml

        end

        xml.target!
      end
    end
  end
end
