require_relative "ICMSBase"

module Nfe
  module Models
    module Taxes
      class ICMSSNBase < ICMSBase
        attr_xml :csosn, xml_alias: "CSOSN"

        validates :csosn,
          presence: true

        def self.root_name
          super.sub! "ICMS", "ICMSSN"
        end
      end
    end
  end
end

