module Nfe
  module Models
    module Transport
      class Lacres
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :nLacre, required: true

        validates :nLacre,
          presence: true,
          length: { in: 1..60 }
      end
    end
  end
end
