module Nfe
  module Services
    module Regress
      class RetConsSitNFe
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :versao, type: :attribute
        attr_xml :tpAmb, required: true
        attr_xml :verAplic, required: true
        attr_xml :cStat, required: true
        attr_xml :xMotivo, required: true
        attr_xml :cUF, required: true
        attr_xml :chNFe, required: true
        attr_xml :protNFe, type: :node
        attr_xml :retCancNFe
        attr_xml :procEventoNFe

        def initialize(xml)
          @protNFe = ProtNFe.new
          parse! xml
        end
      end
    end
  end
end
