module Nfe
  module Services
    module Regress
      class RetConsStatServ
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :versao, type: :attribute
        attr_xml :tpAmb, required: true
        attr_xml :verAplic, required: true
        attr_xml :cStat, required: true
        attr_xml :xMotivo, required: true
        attr_xml :cUF, required: true
        attr_xml :dhRecbto, type: :datetime
        attr_xml :tMed
        attr_xml :dhRetorno, type: :datetime
        attr_xml :xObs

        def initialize(xml)
          parse! xml
        end
      end
    end
  end
end
