module Nfe
  module Services
    module Regress
      class RetEnvEvento
        include ActiveModel::Model
        include Helpers::XmlModel::NfeModel

        attr_xml :versao, type: :attribute
        attr_xml :idLote, required: true
        attr_xml :tpAmb, type: :enumerize, required: true
        attr_xml :verAplic, required: true
        attr_xml :cOrgao, required: true
        attr_xml :cStat, type: :integer, required: true
        attr_xml :xMotivo, required: true
        attr_xml :retEvento, type: :node, required: true

        extend Enumerize

        enumerize :tpAmb, in: { production: 1, test: 2 }

        def initialize
          @retEvento = RetEvento.new
        end
      end
    end
  end
end
