module Nfe
  module Webservices
    module Wsinfo
      class Base
        attr_reader :uf

        def initialize(environment, uf)
          @environment = environment
          @uf = uf
        end

        def service
          @service
        end

        def namespace
          @namespace
        end

        def url
          @wsdl_finder = WsdlFinder.new
          @wsdl_finder.send(@wsdl_service, @environment, @uf)
        end

        def version
          @version
        end

        def schema
          @schema
        end
      end
    end
  end
end
