module Nfe
  module Webservices
    module Wsinfo
      class Event  < Base
        def initialize(environment, uf, event_kind)
          super(environment, uf)
          @service = :nfe_recepcao_evento
          @namespace = "http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento"
          @version = "1.00"
          @event_kind = event_kind
          @wsdl_service = :event
        end

        def schema
          @event_kind == :cce ? "envCCe_v1.00.xsd" : "envEventoCancNFe_v1.00.xsd"
        end
      end
    end
  end
end
