require_relative "../wsdl_base"

module Nfe
  module Webservices
    module Wsinfo
      module Production
        class Svan < WsdlBase
          def initialize
            @host = "https://www.sefazvirtual.fazenda.gov.br/"
            @authorize = "NfeAutorizacao/NfeAutorizacao.asmx"
            @situation = "NfeConsulta2/NfeConsulta2.asmx"
            @disenable = "NfeInutilizacao2/NfeInutilizacao2.asmx"
            @event = "RecepcaoEvento/RecepcaoEvento.asmx"
            @service_status = "NfeStatusServico2/NfeStatusServico2.asmx"
          end

          def consult_emitter
            raise I18n.t("webservice.unsupported_service")
          end
        end
      end
    end
  end
end
