require_relative "../wsdl_base"

module Nfe
  module Webservices
    module Wsinfo
      module Production
        class Svrs < WsdlBase
          def initialize
            @host = "https://nfe.svrs.rs.gov.br/ws/"
            @authorize = "NfeAutorizacao/NFeAutorizacao.asmx"
            @situation = "NfeConsulta/NfeConsulta2.asmx"
            @disenable = "nfeinutilizacao/nfeinutilizacao2.asmx"
            @event = "recepcaoevento/recepcaoevento.asmx"
            @service_status = "NfeStatusServico/NfeStatusServico2.asmx"
            @consult_emitter = "https://cad.svrs.rs.gov.br/ws/cadconsultacadastro/cadconsultacadastro2.asmx?wsdl"
          end
        end
      end
    end
  end
end
